%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%define oname openal-soft

Summary:	3D Sound Library
Name:		openal
Version:	1.15.1
Release:	8
License:	LGPLv2.1+
Group:		Sound
Url:		http://www.openal.org
Source0:	http://kcat.strangesoft.net/openal-releases/%{oname}-%{version}.tar.bz2
BuildRequires:	cmake
BuildRequires:	alsa-oss-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(portaudio-2.0)
Provides:	%{oname} = %{EVRD}
Conflicts:	openal1 < 1.7.411-2
# Due to some files moved from library subpackage to main package
Conflicts:	%{libname} < 1.15

%description
OpenAL is a free 3D-audio library, with a programming interface similar
to that of OpenGL.

%files
%dir %{_sysconfdir}/openal
%config(noreplace) %{_sysconfdir}/openal/alsoft.conf
%{_bindir}/alstream
%{_bindir}/allatency
%{_bindir}/alreverb
%{_bindir}/openal-info
%{_bindir}/makehrtf
%{_datadir}/%{name}/alsoftrc.sample

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for OpenAL, a free 3D sound library
Group:		System/Libraries
Requires:	%{name} >= %{EVRD}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with OpenAL.

%files -n %{libname}
%{_libdir}/libopenal.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers for developing programs that will use OpenAL
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	%{oname}-devel = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the headers that programmers will need to develop
applications which will use OpenAL, a free 3D audio library.

%files -n %{devname}
%{_includedir}/AL
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libopenal.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake -DALSOFT_CONFIG=ON
%make

%install
%makeinstall_std -C build
mkdir -p %{buildroot}/%{_sysconfdir}/%{name}
install -m 0644 alsoftrc.sample %{buildroot}/%{_sysconfdir}/%{name}/alsoft.conf


%changelog
* Thu Feb 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.15.1-8
+ Revision: 5940557
- Bump release


